GeoUtils.WindingOrder (Lucene 10.5.1 core API)
Description: declaration: package: org.apache.lucene.geo, class: GeoUtils, enum: WindingOrder

Package org.apache.lucene.geo

# Enum Class GeoUtils.WindingOrder

java.lang.Object
java.lang.Enum<GeoUtils.WindingOrder>
org.apache.lucene.geo.GeoUtils.WindingOrder

All Implemented Interfaces:
  `Serializable`, `Comparable<GeoUtils.WindingOrder>`, `Constable`

Enclosing class:
  `GeoUtils`

public static enum GeoUtils.WindingOrder extends Enum<GeoUtils.WindingOrder>
used to define the orientation of 3 points -1 = Clockwise 0 = Colinear 1 = Counter-clockwise

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CCW`
  `COLINEAR`
  `CW`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static GeoUtils.WindingOrder`
  `fromSign(int sign)`
  `int`
  `sign()`
  `static GeoUtils.WindingOrder`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static GeoUtils.WindingOrder[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CW

    public static final GeoUtils.WindingOrder CW

  - ### COLINEAR

    public static final GeoUtils.WindingOrder COLINEAR

  - ### CCW

    public static final GeoUtils.WindingOrder CCW

- ## Method Details

  - ### values

    public static GeoUtils.WindingOrder[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static GeoUtils.WindingOrder valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### sign

    public int sign()

  - ### fromSign

    public static GeoUtils.WindingOrder fromSign(int sign)